package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.CityObject;
import de.hft.stuttgart.citydoctor2.datastructure.Tunnel;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class TunnelNode extends Renderable implements FeatureNode {

    private final Tunnel tunnel;

    public TunnelNode(Tunnel tunnel) {
        this.tunnel = tunnel;
    }

    @Override
    public String getText() {
        return tunnel.getGmlId().getGmlString();
    }

    public Tunnel getTunnel() {
        return tunnel;
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.render(tunnel);
    }

    @Override
    public void refreshTextColor() {
        if (!tunnel.isValidated()) {
            setStatus(CheckStatus.NOT_CHECKED);
        } else if (tunnel.containsAnyError()) {
            setStatus(CheckStatus.ERROR);
        } else {
            setStatus(CheckStatus.OK);
        }
    }

    @Override
    public CityObject getFeature() {
        return tunnel;
    }
}
